Bug 2018974 - [MTV] cdi-Importer & migration pods and all related resources should be removed when the Plan is Removed
Summary: [MTV] cdi-Importer & migration pods and all related resources should be rem...
Keywords:
Status: ASSIGNED
Alias: None
Product: Migration Toolkit for Virtualization
Classification: Red Hat
Component: Controller
Version: 2.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 2.3.0
Assignee: Sam Lucidi
QA Contact: Ilanit Stein
Avital Pinnick
URL:
Whiteboard:
Depends On:
Blocks: 2022654
TreeView+ depends on / blocked
 
Reported: 2021-11-01 12:00 UTC by Amos Mastbaum
Modified: 2021-11-16 19:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2022654 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github konveyor forklift-controller pull 387 0 None open Bug 2018974: Add finalizer to archive Plan when it is deleted 2021-11-04 20:52:18 UTC

Description Amos Mastbaum 2021-11-01 12:00:26 UTC
Description of problem:

Deleting a Plan (ui+API) doesn't remove the migration importer & migration PODS




Version-Release number of selected component (if applicable):


How reproducible:
100%


Steps to Reproduce:
1.Run A successful migration and delete it
2.
3.

Actual results:
cdi-import and the conversion pods are not removed.


Expected results:
cdi-import and the conversion pods should be removed.

Additional info:

Comment 1 Sam Lucidi 2021-11-09 01:05:51 UTC
After talking this over with Jeff, it's clear to me that we can't proceed with the finalizer-based solution I proposed. Jeff mentioned that MTC had the same problem they attempted a finalizer-based solution as well, but finalizers are inherently fraught with issues (race conditions preventing resources from being deleted, etc), and that approach was abandoned. Unfortunately, there's no alternative that would let us archive the plan upon deletion. We should document that the user must archive the plan before deleting it if they want the plan's resources to be removed, and perhaps we could have the UI warn before allowing an unarchived Plan to be deleted.

Comment 2 Ilanit Stein 2021-11-12 10:07:25 UTC
Removed the Blocker bug for MTV-2.2.
UI bug:
Bug 2022651 - [UI] Add the Delete migration plan message that the related resources will remain

Doc bug:
Bug 2022654 - [Doc] cdi-Importer & migration pods and all related resources are not removed when the Plan is Removed

Comment 3 Ilanit Stein 2021-11-16 19:16:05 UTC
When this bug is implemented the Delete Migration plan message in Bug 2022651 will need to change to reflect that deleting the migration plan will delete related resources.


Note You need to log in before you can comment on or make changes to this bug.